﻿namespace CometDocs
{
    /// <summary>
    /// Represents a CometDocs file category.
    /// </summary>
    public class Category
    {
        /// <summary>
        /// The numerical ID of the category, e.g. 1 for the "Art" category.
        /// </summary>
        public int ID { get; set; }

        /// <summary>
        /// The name of the category, e.g. "Art" for the "Art" category.
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// The sub-categories of the current category: e.g. "Comics", "Drawings", "Photos" for the "Art" category.
        /// </summary>
        public Category[] SubCategories { get; set; }
    }
}
