﻿using System.Text;
using System.Collections.Specialized;
using Newtonsoft.Json;

namespace CometDocs
{
    internal partial class Client
    {
        /// <summary>
        /// Get a list of all the available categories: https://www.cometdocs.com/developer/apiDocumentation#method-getCategories
        /// </summary>
        /// <returns>An array of categories.</returns>
        public Category[] GetCategories()
        {
            byte[] result = webClient.UploadValues(APIRoot + "getCategories", new NameValueCollection());

            string json = Encoding.ASCII.GetString(result);

            GetCategoriesResponse response = JsonConvert.DeserializeObject<GetCategoriesResponse>(json);

            CheckAndThrow(response);

            return response.Categories;
        }
    }
}
