﻿using System.Text;
using System.Collections.Specialized;
using Newtonsoft.Json;

namespace CometDocs
{
    internal partial class Client
    {
        /// <summary>
        /// Get the list of files shared by the current account: https://www.cometdocs.com/developer/apiDocumentation#method-getSharedFiles
        /// </summary>
        /// <param name="token">A valid authentication token.</param>
        /// <returns>An array of files.</returns>
        public FileInfo[] GetSharedFiles(AuthenticationToken token)
        {
            NameValueCollection @params = new NameValueCollection(1);
            @params.Add("token", token.Value);

            byte[] result = webClient.UploadValues(APIRoot + "getSharedFiles", @params);

            string json = Encoding.ASCII.GetString(result);

            GetSharedFilesResponse response = JsonConvert.DeserializeObject<GetSharedFilesResponse>(json);

            CheckAndThrow(response);

            return response.Files;
        }
    }
}
