﻿using Newtonsoft.Json;

namespace CometDocs
{
    /// <summary>
    /// Represents a converted version of a file.
    /// </summary>
    public class Conversion
    {
        /// <summary>
        /// The original file ID.
        /// </summary>
        public int ParentID { get; set; }

        /// <summary>
        /// The conversion type used to convert from the original file to the converted file.
        /// </summary>
        [JsonConverter(typeof(ConversionTypeJsonConverter))]
        public ConversionType Type { get; set; }

        /// <summary>
        /// The resulting file ID.
        /// </summary>
        public int ID { get; set; }

        /// <summary>
        /// The resulting file extension.
        /// </summary>
        public string Extension { get; set; }

        /// <summary>
        /// The resulting file size in bytes.
        /// </summary>
        public int Size { get; set; }
    }
}
