﻿using Newtonsoft.Json;

namespace CometDocs
{
    /// <summary>
    /// A notification.
    /// Its original descriptions is available here: https://www.cometdocs.com/developer/apiDocumentation#types
    /// </summary>
    public class Notification
    {
        /// <summary>
        /// Gets or sets the type of notification.
        /// </summary>
        public NotificationType Type { get; set; }

        /// <summary>
        /// Gets or sets the time when notification happened.
        /// </summary>
        [JsonProperty("time")]
        public int Timestamp { get; set; }

        /// <summary>
        /// Gets or sets the affected file if any.
        /// </summary>
        public FileInfo File { get; set; }
    }
}
