﻿namespace CometDocs
{
    /// <summary>
    /// The enumeration of the possible API statuses.
    /// The updated list with descriptions is available here: https://www.cometdocs.com/developer/apiDocumentation#status-codes.
    /// </summary>
    public enum Status
    {
        OK = 0,
        InternalError = 1,
        UnsupportedAPIMethod = 2,
        MethodInvocationError = 3,
        HttpsRequired = 4,
        InvalidToken = 5,
        BadParameters = 6,
        PermissionError = 7,
        AvailableSpaceExceeded = 8,
        AvailableConversionsExceeded = 9,
        SimultaneousConversionsNotAllowed = 10,
        APSBusy = 11,
        FileSizeLimitExceeded = 12,
        UnsupportedFileExtension = 13,
        APILimitsExceeded = 14,
        FileTransferLimitsExceeded = 15,
        FileTransferRecipientEmailError = 16
    }
}
